## libcarddav 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${GTHREAD_INCLUDE_DIRS}
  ${CURL_INCLUDE_DIRS}
)


##### carddav (shared)

tde_add_library( carddav SHARED

  SOURCES
        carddav.c
        add-carddav-object.c
        delete-carddav-object.c
        modify-carddav-object.c
        get-carddav-report.c
        get-display-name.c
        carddav-utils.c
        md5.c
        options-carddav-server.c
        lock-carddav-object.c
   LINK
      ${GTHREAD_LIBRARIES}
      ${CURL_LIBRARIES}
      
   VERSION 0.0.6

  DESTINATION ${LIB_INSTALL_DIR}
)


#### pkg-config

set( prefix ${CMAKE_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ${CMAKE_PROJECT_NAME}.pc.cmake ${CMAKE_PROJECT_NAME}.pc @ONLY )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pc
    DESTINATION ${PKGCONFIG_INSTALL_DIR}
)


##### header

install(
    FILES carddav.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)

## libcarddav 0.6.2-2debian2

=== debian/control ===
Source: libcarddav
Build-Depends: debhelper (>= 5), libcurl4-gnutls-dev, libglib2.0-dev, quilt, automake, autoconf, libtool, libltdl-dev
Section: graphics
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Standards-Version: 3.8.3

Package: libcarddav
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: 
 libcarddav provides a C interface for carddav PIM clients

Package: libcarddav-dev
Architecture: any
Section: libdevel
Depends: libcarddav (= ${binary:Version})
Description: 
 libcarddav provides a C interface for carddav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcarddav.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O3
endif

# Suppress accidental execution of the auto-* tools, c.f.
# http://lists.debian.org/debian-devel/2001/debian-devel-200111/msg01416.html
no_auto_tools = ACLOCAL="`pwd`/missing aclocal" \
	AUTOCONF="`pwd`/missing autoconf" \
	AUTOMAKE="`pwd`/missing automake" \
	AUTOHEADER="`pwd`/missing autoheader"

make_flags = moduledir=/usr/lib/gdk-imlib2 $(no_auto_tools)

build: $(QUILT_STAMPFN) build-stamp
build-stamp:
	dh_testdir
	./autogen.sh
	./configure --prefix=/usr \
		--mandir=/usr/share/man
	$(MAKE) $(make_flags)

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(make_flags) DESTDIR=`pwd`/debian/tmp install

	dh_movefiles

	# Library package
	dh_install -plibcarddav --autodest debian/tmp/usr/lib/libcarddav.so*

	# Developer package
	mv debian/tmp/usr/include/libcarddav* debian/tmp/usr/include/libcarddav
	dh_install -plibcarddav-dev --autodest debian/tmp/usr/lib/libcarddav.la
	dh_install -plibcarddav-dev --autodest debian/tmp/usr/include/libcarddav/*
	dh_install -plibcarddav-dev --autodest debian/tmp/usr/lib/pkgconfig/*

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs -A debian/README.Debian
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_strip
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independent packages using the common target.
binary-indep: build install
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependent packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libcarddav 14.0.2

=== debian/changelog ===
libcarddav (4:14.0.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Oct 2015 16:12:02 +0100

libcarddav (0.6.2-2debian2) maverick; urgency=low

  * Modified contact list grabber to first execute a WebDAV directory list, then use the results to get only the contact files in that directory.

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 21 Jul 2010 02:55:00 -0600

libcarddav (0.6.2-0debian1) lenny; urgency=low

  * Added "Connection: close" to the list of headers sent, so that server keep-alive (which causes long delays) is disabled.

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Jul 2010 15:29:00 -0600

libcarddav (0.6.2-0debian0) lenny; urgency=low

  * Initial Lenny build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 31 May 2010 01:55:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libcarddav
-Build-Depends: debhelper (>= 5), libcurl4-gnutls-dev, libglib2.0-dev, quilt, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 5), libcurl4-gnutls-dev, libglib2.0-dev, quilt, automake, autoconf, libtool, libltdl-dev
 Section: graphics
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 
 Package: libcarddav
 Architecture: any

## libcarddav 14.0.4

=== debian/changelog ===
libcarddav (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:37:03 +0200

## libcarddav 14.0.5

=== debian/changelog ===
libcarddav (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 03:39:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,12 @@
 #!/usr/bin/make -f
 
-include /usr/share/quilt/quilt.make
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
+
+DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
+                               && echo xz || echo bzip2)
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -25,7 +28,10 @@
 
 make_flags = moduledir=/usr/lib/gdk-imlib2 $(no_auto_tools)
 
-build: $(QUILT_STAMPFN) build-stamp
+post-patches::
+	dh_testdir
+
+build: post-patches build-stamp
 build-stamp:
 	dh_testdir
 	./autogen.sh
@@ -35,7 +41,7 @@
 
 	touch build-stamp
 
-clean: unpatch
+clean::
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
@@ -60,7 +66,6 @@
 	dh_install -plibcarddav --autodest debian/tmp/usr/lib/libcarddav.so*
 
 	# Developer package
-	mv debian/tmp/usr/include/libcarddav* debian/tmp/usr/include/libcarddav
 	dh_install -plibcarddav-dev --autodest debian/tmp/usr/lib/libcarddav.la
 	dh_install -plibcarddav-dev --autodest debian/tmp/usr/include/libcarddav/*
 	dh_install -plibcarddav-dev --autodest debian/tmp/usr/lib/pkgconfig/*
@@ -87,7 +92,7 @@
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)
 
 # Build architecture independent packages using the common target.
 binary-indep: build install

## libcarddav 14.0.6

=== debian/changelog ===
libcarddav (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:10:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libcarddav
-Build-Depends: cdbs, debhelper (>= 5), libcurl4-gnutls-dev, libglib2.0-dev, quilt, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), libcurl4-gnutls-dev, libglib2.0-dev, quilt, automake, autoconf, libtool, libltdl-dev
 Section: graphics
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>

## libcarddav 14.0.8

=== debian/changelog ===
libcarddav (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:08:03 +0200

## libcarddav 14.0.9

=== debian/changelog ===
libcarddav (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:49:54 +0200

## libcarddav 14.0.10

=== debian/changelog ===
libcarddav (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## libcarddav 14.0.11

=== debian/changelog ===
libcarddav (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 May 2021 16:26:11 +0200

## libcarddav 14.0.12

=== debian/changelog ===
libcarddav (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:02:59 +0100

## libcarddav 14.0.13

=== debian/changelog ===
libcarddav (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 20 Jun 2022 12:37:30 +0200

## libcarddav 14.1.0

=== debian/changelog ===
libcarddav (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libcarddav 14.1.1

=== debian/changelog ===
libcarddav (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libcarddav 14.1.2

=== debian/changelog ===
libcarddav (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 15 Mar 2024 12:58:09 +0100

## libcarddav 14.1.3

=== debian/changelog ===
libcarddav (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 12 Jul 2024 16:21:57 +0200

## libcarddav 14.1.4

=== debian/changelog ===
libcarddav (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## libcarddav 14.1.5~pre0

=== debian/changelog ===
libcarddav (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for a3d434aee6a3a2d88407d294bd37d5aa3b70cf21
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libcarddav 14.1.5

=== debian/changelog ===
libcarddav (4:14.1.5-0ubuntu18.04.0+0) bionic; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX	= 0t64
else
DEB_TIME64_SUFFIX	=
endif


ifdef DEB_HOST_MULTIARCH
  CMAKE_INSTALL_LIBDIR = lib/$(DEB_HOST_MULTIARCH)
else
  CMAKE_INSTALL_LIBDIR = lib
endif

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_INSTALL_LIBDIR=$(CMAKE_INSTALL_LIBDIR) \
 -DWITH_ALL_OPTIONS="ON" \
 -DBUILD_ALL="ON"

post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/libcarddav\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	    [ -d $$a ] || [ -f $$a.t64 ] || \
	    (cp -a $$a debian/libcarddav$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^Package: \\(libcarddav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
	    -e "s/\\(libcarddav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
	    debian/control
endif

clean::
	dh_testdir
	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	    mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/libcarddav$(DEB_TIME64_SUFFIX)\." | \
	xargs -r rm
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	    -e "s/^Package: \\(libcarddav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
	    -e "s/\\(libcarddav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
	    debian/control
else
	[ ! -f debian/control.t64 ] || \
	mv debian/control.t64 debian/control
endif

## libcarddav 14.1.6~pre0

=== debian/changelog ===
libcarddav (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for a3d434aee6a3a2d88407d294bd37d5aa3b70cf21
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## libcarddav 14.1.6~pre1

=== debian/changelog ===
libcarddav (4:14.1.6~pre1-0ubuntu26.04.0+2~a) resolute; urgency=low

  * Automated git build for 07e6f22892cf54c3a3352c4d73d2018463ede959
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 12 Feb 2026 08:30:36 +0100

libcarddav (4:14.1.6~pre1-0) forky; urgency=low

  * Added SO version to binary package name.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Feb 2026 20:18:36 +0100

## libcarddav 14.1.6~pre2

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( libcarddav )
set( PACKAGE_VERSION 0.6.1 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
libcarddav (4:14.1.6~pre2-0ubuntu26.04.0+4~a) resolute; urgency=low

  * Automated git build for e2076131c91015a619e630d274fc37146694a5a7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 02:52:52 +0100

## libcarddav 14.2.0~pre3

=== doc/CMakeLists.txt ===
install(
    FILES rfc4791.pdf
    DESTINATION ${SHARE_INSTALL_PREFIX}/doc/${PROJECT_NAME}
)

=== debian/changelog ===
libcarddav (4:14.2.0~pre3-0raspbian13.0.0+8) raspbian-trixie; urgency=low

  * Automated git build for e99269b41233a17a26ec0603d034e43f1744d461
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: libcarddav
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev, libglib2.0-dev
Standards-Version: 3.8.4

Package: libcarddav
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description: 
 libcarddav provides a C interface for carddav PIM clients

Package: libcarddav-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libcarddav (= ${binary:Version})
Description: 
 libcarddav provides a C interface for carddav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcarddav.

## libcarddav 14.2.0~pre4

=== debian/changelog ===
libcarddav (4:14.2.0~pre4-0raspbian12.0.0+9) raspbian-bookworm; urgency=low

  * Automated git build for ac28e30323f0b384384fb568be9df89024df3cd2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 07 Feb 2026 20:24:16 +0100

=== debian/rules ===
--- 
+++ 
@@ -39,8 +39,9 @@
 	done
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
-	    -e "s/^Package: \\(libcarddav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
-	    -e "s/\\(libcarddav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    -e "s/^Package: \\(libcarddav0\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libcarddav\\)$$/\\1: \\2, \\20/" \
+	    -e "s/\\(libcarddav0\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
 	    debian/control
 endif
 
@@ -60,8 +61,9 @@
 	xargs -r rm
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
-	    -e "s/^Package: \\(libcarddav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
-	    -e "s/\\(libcarddav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    -e "s/^Package: \\(libcarddav0\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libcarddav\\)$$/\\1: \\2, \\20/" \
+	    -e "s/\\(libcarddav0\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
 	    debian/control
 else
 	[ ! -f debian/control.t64 ] || \

## libcarddav 14.2.0~pre5

=== debian/changelog ===
libcarddav (4:14.2.0~pre5-0ubuntu25.10.0+12) questing; urgency=low

  * Automated git build for 0dbae5238a5fcdb9e920b83683e44ec84de78e30
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcarddav

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 18:15:31 +0100

=== debian/control ===
Source: libcarddav
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev, libglib2.0-dev
Standards-Version: 3.8.4

Package: libcarddav0
Architecture: any
Multi-Arch: same
Section: libs
Conflicts: libcarddav
Provides: libcarddav (= ${binary:Version})
Replaces: libcarddav
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcarddav - a carddav PIM clients library
 libcarddav provides a C interface for carddav PIM clients

Package: libcarddav-dev
Architecture: any
Section: libdevel
Depends: libcarddav0 (= ${binary:Version}), ${misc:Depends}
Description: libcarddav - a carddav PIM clients library
 libcarddav provides a C interface for carddav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcarddav.
